Subject: Re: [PATCH] bcm43xx: Fix failure to deliver PCI-E interrupts

From: Michael Buesch <[email-masked]>
Date: Fri, 12 Jan 2007 17:53:05 +0100

On Friday 12 January 2007 17:36, Larry Finger wrote:
> Michael Buesch wrote:
> 
> I have one general question before I address your comments. Does a BCM43xx chip always have either a
> PCI or a PCI-E core? I've seen discussion on this list that makes me wonder. That is why I had some
> explicit tests for PCI-E in the code.

Ok, I see your point.
I don't think we have devices without PCI core.
BUT:
If you think there are devices without a PCI core, you
must not switch to it in the first place. So your check is
worthless nevertheless, because in case of no PCI core you
have crashed much earlier anyway. ;)

If we have a PCI core (and I think we always have), it can only
be PCI or PCIE.

-- 
Greetings Michael.